Skip to main content
`Ctrl`+`K`

# TSResizeRetrieveVec

Retrieve a vector registered with `TSResizeRegisterVec()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSResizeRetrieveVec(TS ts, const char name[], Vec *vec)

Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- name - A string identifying the vector

- vec - The vector

## Note

`TSResizeRetrieveVec()` is typically used within time stepping implementations, so most users would not generally call this routine themselves.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetResize()`, `TSResize()`, `TSResizeRegisterVec()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages